Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia
Class Blob

    java.lang.Object
      play.modules.morphia.Blob

All Implemented Interfaces:
  Model.BinaryField

    public class Blob

extends Object
implements Model.BinaryField

Constructor Summary
`Blob()`
`Blob(File inputFile)`
`Blob(File inputFile, String type)`
`Blob(InputStream is, String type)`
`Blob(String id)`

Method Summary
`void` | `delete()`
`static void` | `delete(String name)`
`boolean` | `exists()`
`static GridFSDBFile` | `findFile(String name)`
`InputStream` | `get()`
`GridFSDBFile` | `getGridFSFile()`
`long` | `length()`
`void` | `set(File file, String type)`
`void` | `set(InputStream is, String type)`
`String` | `toString()`
`String` | `type()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Blob

    public Blob()

### Blob

    public Blob(InputStream is,
                String type)

### Blob

    public Blob(File inputFile,
                String type)

### Blob

    public Blob(File inputFile)

### Blob

    public Blob(String id)

Method Detail

### delete

    public void delete()

### findFile

    public static GridFSDBFile findFile(String name)

### get

    public InputStream get()

  Specified by:
    `get` in interface `Model.BinaryField`

### set

    public void set(File file,
                    String type)
             throws IOException

  Throws:
    `IOException`

### set

    public void set(InputStream is,
                    String type)

  Specified by:
    `set` in interface `Model.BinaryField`

### length

    public long length()

  Specified by:
    `length` in interface `Model.BinaryField`

### type

    public String type()

  Specified by:
    `type` in interface `Model.BinaryField`

### exists

    public boolean exists()

  Specified by:
    `exists` in interface `Model.BinaryField`

### delete

    public static void delete(String name)

### getGridFSFile

    public GridFSDBFile getGridFSFile()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.